Bug 623641 - Duplicate repo error after cancelling network enablement invoked by adding/editing a repo.
Summary: Duplicate repo error after cancelling network enablement invoked by adding/ed...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On: 623639
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-12 11:58 UTC by Radek Vykydal
Modified: 2011-05-19 12:34 UTC (History)
5 users (show)

Fixed In Version: anaconda-13.21.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 623639
Environment:
Last Closed: 2011-05-19 12:34:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0530 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2011-05-18 17:44:52 UTC

Description Radek Vykydal 2010-08-12 11:58:33 UTC
+++ This bug was initially created as a clone of Bug #623639 +++

Description of problem:

When adding/editing repo in UI, if the network enablement is required, and device selection dialog is cancelled, next try ([Ok]) within the same Add Repository dialog causes "The repository ... has already been added" error.

Version-Release number of selected component (if applicable):

anaconda-14.15-1
F14 Alpha RC2

How reproducible:

Always


Steps to Reproduce:
1. Start DVD install without using network.
2. In repo UI add network requiring repo, "Select Network Interface" dialog appears, press "Cancel"
3. In Add Repository dialog press "Ok"

Actual results:

error message "The repository ... has already been added..."

Expected results:

"Select Network Interface" dialog appears (or appropriate action is taken if the repository was modified in step 3 before pressing "Ok"

Additional info:

If bug #623149 is not fixed yet, this traceback https://bugzilla.redhat.com/show_bug.cgi?id=623017#c3 occurs instead of the error message.

--- Additional comment from rvykydal@redhat.com on 2010-08-12 07:46:25 EDT ---

Sending a patch to anaconda devel list.

Comment 1 Radek Vykydal 2010-08-12 11:59:46 UTC
Not for 6.0, quite a corner case.

Comment 2 RHEL Product and Program Management 2010-10-29 21:31:46 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 3 Radek Vykydal 2010-11-25 13:15:47 UTC
This should be fixed in version 13.21.84-1 of anaconda.

Comment 5 Alexander Todorov 2011-04-04 12:24:07 UTC
In snap #2 if you press Cancel and do not enable the network the next time you click OK to add the repository the network config screen pops up again.

Comment 6 errata-xmlrpc 2011-05-19 12:34:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html


Note You need to log in before you can comment on or make changes to this bug.